#!/bin/bash

apt install -y \
    alsa-base \
    alsa-tools \
    alsa-utils \
    fbset \
    ffmpeg \
    gir1.2-gst-plugins-base-1.0 \
    gir1.2-gstreamer-1.0 \
    gstreamer1.0-alsa \
    gstreamer1.0-plugins-bad \
    gstreamer1.0-plugins-base \
    gstreamer1.0-plugins-good \
    gstreamer1.0-plugins-ugly \
    gstreamer1.0-tools \
    gstreamer1.0-vaapi \
    intel-gpu-tools \
    intel-media-va-driver-non-free \
    i965-va-driver-shaders \
    libgstreamer1.0-0 \
    python3 \
    python3-gi \
    python3-scipy \
    python3-sdnotify

usermod -aG audio voc
usermod -aG render voc
usermod -aG video voc

ln -s /opt/voc/configs/udev.rules /etc/udev/rules.d/v4l2-voc.rules
ln -s /opt/voc/services/voctomix2-recording-sink.service /etc/systemd/system/voctomix2-recording-sink.service
ln -s /opt/voc/services/voctomix2-streaming-sink.service /etc/systemd/system/voctomix2-streaming-sink.service
ln -s /opt/voc/services/voctomix2-playout-mix.service /etc/systemd/system/voctomix2-playout-mix.service
ln -s /opt/voc/services/voctomix2-playout-premix.service /etc/systemd/system/voctomix2-playout-premix.service
ln -s /opt/voc/services/voctomix2-voctocore.service /etc/systemd/system/voctomix2-voctocore.service

systemctl enable voctomix2-recording-sink.service
systemctl enable voctomix2-streaming-sink.service
systemctl enable voctomix2-playout-mix.service
systemctl enable voctomix2-voctocore.service
